%define		_status		stable
%define		_pearname	PHP_UML
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - produce an UML/XMI representation of the classes and packages found on system
Summary(pl.UTF-8):	%{_pearname} - tworzenie struktury UML/XMI klas i pakietów znalezionych w systemie
Name:		php-pear-%{_pearname}
Version:	1.6.2
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8ddf2ce2544ffca69e1ea6d0b0f6b2b5
URL:		http://pear.php.net/package/PHP_UML/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(spl)
Requires:	php(xsl)
Requires:	php-pear
Requires:	php-pear-Console_CommandLine
Obsoletes:	php-pear-PHP_UML-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP_UML is a PHP parser, an XMI generator, as well as a
metamodel-driven application. Practically, with PHP_UML, you can feed
an UML CASE tool, like Rational Rose or Argouml, with an UML
representation of existing PHP source code. This way, you get an
instant overview of a given application, with all the usual functions
of a software design tool, like class diagrams exportation,
refactoring of object-oriented applications, or automatic code
generation.

PHP_UML:
 - Parses classes, interfaces, inheritance and implementation
   relations,
 - Parses properties, class constants, visibility and static
   attributes,
 - Parses functions, their parameters, their default values, their
   types (when stated),
 - Parses docblock comments : class comments (@package), function
   comments (@param and @return) and header file comments (@package),
 - Interprets the PHP namespacing instructions ("namespace" and "use"),
 - Does automatic type detection, through the default values,
 - Generates UML in version 1.4, and version 2.1,
 - Generates logical, component, and deployment views,

Other UML elements will be available in future releases.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
PHP_UML to parser PHP, generator XML jak również aplikacja wzorowana
na meta-model. Praktycznie rzecz biorąc, za pomocą PHP_UML możliwe
jest przekazanie narzędziom UML CASE, takim jak Rational Rose czy
Argouml, schematu UML kodu PHP. W ten sposób możliwe jest
natychmiastowy podgląd aplikacji, ze wszystkimi funkcjami narzędzi do
projektowania aplikacjia, takimi jak eksportem diagramów funkcji,
refaktoryzacji zorientowanych obiektowo aplikacji, czy automatycznego
generowania kodu.

PHP_UML:
 - przetwarzanie relacji klas, interfejsów, dziedziczenia i
   implementacji,
 - przetwarzanie właściwości, stałych, widoczności i stałych atrybutów
   klas,
 - przetwarzanie funkcji, ich parametrów, zwracanych funkcji i typów
   (jeśli określone),
 - przetwarzanie komentarzy docblook : komentarzy klas (@package),
   funkcji (@param i @return) i nagłówków plików (@package),
 - interpretacja instrukcji przestrzeni nazw PHP ("namespace" i "use"),
 - autoamtyczna detekcja typu z pomocą domyślnych wartości,
 - generowania UML w wersji 1.4 i 2.1
 - generowanie widoków logicznych, komponentów.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/PHP_UML/{docs,examples}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PHP/UML
%{php_pear_dir}/PHP/UML.php
%{php_pear_dir}/data/PHP_UML
%changelog
* Thu Oct 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-PHP_UML.git;a=log;h=master

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> cb76b24
- up to 1.6.2

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 0161b7e
- updated to: 1.6.1

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 0f25be4
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> b09216f
- updated to: 1.6.0

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> e82065d
- release 2

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 8e01a3f
- updated to: 1.5.5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e0f5112
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> dc9653b
- updated to: 1.5.3

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> cfad42a
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 75a75a4
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 07c2990
- updated to: 1.5.2

* Sun Feb 01 2009 Adam Gołębiowski <adamg@pld-linux.org> 592b530
- updated to 0.5.2

* Sun Jan 11 2009 Adam Gołębiowski <adamg@pld-linux.org> f033c18
- updated to 0.5.1

* Wed Jan 07 2009 Adam Gołębiowski <adamg@pld-linux.org> 48f40db
- obsolete

* Wed Jan 07 2009 Adam Gołębiowski <adamg@pld-linux.org> e006870
- updated to 0.5.0

* Sat Jun 14 2008 Adam Gołębiowski <adamg@pld-linux.org> b046de1
- new

